/*
 *   Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package it.eng.configurazione.test;

import it.eng.configurazione.bean.Kpi;
import it.eng.configurazione.service.ConfigurationDAO;

import java.util.Iterator;
import java.util.List;

import junit.framework.TestCase;

public class ProjectTest extends TestCase {

	public ProjectTest(String arg0) {
		super(arg0);
	}

	protected void setUp() throws Exception {
		super.setUp();
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void testReadKpi() {
		ConfigurationDAO dao=new ConfigurationDAO();
		List<Kpi> tmp=dao.readKpi("FT_REQUIREMENTS");
		System.out.println("e");
	}
	public void testReadProject() {
		ConfigurationDAO dao=new ConfigurationDAO();
		//List<ProjectKpi> tmp=dao.readProject("New Requirements");
		List<String> tmp=dao.readProject("FT_REQUIREMENTS");
		Iterator<String> iter=tmp.iterator();
		assertEquals("Project1", iter.next());
		assertEquals("Project2", iter.next());
		assertEquals("Project3", iter.next());
	}
	public void testReadAllProject() {
		ConfigurationDAO dao=new ConfigurationDAO();
		//List<ProjectKpi> tmp=dao.readProject("New Requirements");
		List<String> tmp=dao.readAllProject();
		Iterator<String> iter=tmp.iterator();
		assertEquals("Project1", iter.next());
		assertEquals("Project2", iter.next());
		assertEquals("Project3", iter.next());
	}	
}
