/*
 *   Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package it.eng.test.extractors;

import it.eng.extractors.GenericItemInterface;
import it.eng.extractors.OperationCoordinatorFactory;
import it.eng.extractors.OperationCoordinatorInterface;


public class TestSVNExtractor {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		
		OperationCoordinatorInterface svnExtractor = OperationCoordinatorFactory.create("PROCESSO_METRIC_COMMONS");
		GenericItemInterface item = null;
		while (svnExtractor.hasNext()) {
			item = (GenericItemInterface)svnExtractor.nextItem();
			if (item != null) {
				System.out.println(item.toString());
			}
		}

		

	}

}
