package it.eng.configurazione.bean;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="dt_project")
public class Project {

	private int id;
	private String name=null;
	
	@Id
	@Column( nullable = false,unique=true,name="id_project")
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	@Column( nullable = true ,length=127)
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	@Override
	public int hashCode() {
		final int PRIME = 31;
		int result = 1;
		result = PRIME * result + id;
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		final Project other = (Project) obj;
		if (id != other.id)
			return false;
		return true;
	}
}
