/*
 *   Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package it.eng.extractors;

import java.util.Iterator;
import java.util.List;

import groovy.lang.Binding;
import groovy.lang.GroovyShell;

import org.codehaus.groovy.control.CompilationFailedException;

public class GroovyExecutor {

	
	
	public static Object execute(Object parameters,String script){
		
			
		    Object result = "";
			// create shell instance
			Binding bind=new Binding();
			bind.setVariable("input", parameters);	
			
			GroovyShell shell = new GroovyShell(bind);

			try {
				result = shell.evaluate(script);
			} catch (CompilationFailedException e) {
				e.printStackTrace();
			}
	        // return the result
	        return result;

	}
}
